# OpenLayers.Control.PinchZoom

#### Inherits

- OpenLayers.Control

Summary

OpenLayers.Control.PinchZoom |
Properties |
type | {OpenLayers.Control.TYPES}
pinchOrigin | {Object} Cached object representing the pinch start (in pixels).
currentCenter | {Object} Cached object representing the latest pinch center (in pixels).
autoActivate | {Boolean} Activate the control when it is added to a map.
preserveCenter | {Boolean} Set this to true if you don’t want the map center to change while pinching.
handlerOptions | {Object} Used to set non-default properties on the pinch handler
Constructor |
OpenLayers.Control.PinchZoom | Create a control for zooming with pinch gestures.
Functions |
pinchStart |
pinchMove |
pinchDone |

### Properties

### type

{OpenLayers.Control.TYPES}

### pinchOrigin

{Object} Cached object representing the pinch start (in pixels).

### currentCenter

{Object} Cached object representing the latest pinch center (in pixels).

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### preserveCenter

{Boolean} Set this to true if you don’t want the map center to change while pinching. For example you may want to set preserveCenter to true when the user location is being watched and you want to preserve the user location at the center of the map even if he zooms in or out using pinch. This property’s value can be changed any time on an existing instance. Default is false.

### handlerOptions

{Object} Used to set non-default properties on the pinch handler

### Constructor

### OpenLayers.Control.PinchZoom

Create a control for zooming with pinch gestures. This works on devices with multi-touch support.

#### Parameters

options | {Object} An optional object whose properties will be set on the control

### Functions

### pinchStart

> pinchStart: function( | evt,
> | pinchData | )

#### Parameters

evt | {Event}
pinchData | {Object} pinch data object related to the current touchmove of the pinch gesture. This give us the current scale of the pinch.

### pinchMove

> pinchMove: function( | evt,
> | pinchData | )

#### Parameters

evt | {Event}
pinchData | {Object} pinch data object related to the current touchmove of the pinch gesture. This give us the current scale of the pinch.

### pinchDone

> pinchDone: function( | evt,
> | start,
> | last | )

#### Parameters

evt | {Event}
start | {Object} pinch data object related to the touchstart event that started the pinch gesture.
last | {Object} pinch data object related to the last touchmove event of the pinch gesture. This give us the final scale of the pinch.

> pinchStart: function( | evt,
> | pinchData | )

> pinchMove: function( | evt,
> | pinchData | )

> pinchDone: function( | evt,
> | start,
> | last | )

Controls affect the display or behavior of the map.
Close